// the banking example after encapsulating the data structures
// and adding a BankingConsole class


class BankingService {
  private IAccountSet accounts;   
  private ICustSet customers; 
      
  BankingService(IAccountSet accounts, ICustSet customers) {
    this.accounts = accounts;
    this.customers = customers;
  }
  
  public double getBalance(int forAcctNum) {  
    Account acct = accounts.findByNum(forAcctNum) ;
    return acct.getBalance();
  }
  
  public double withdraw(int forAcctNum, double amt) {  
    Account acct = accounts.findByNum(forAcctNum) ;
    return acct.withdraw(amt);
  }
  													//NEW	
  public void login(String custname, int withPwd) throws CustomerNotFoundException, LoginFailedException {
    Customer cust = customers.findByName(custname);
    cust.tryLogin(withPwd);
  }
}
